=== debian/changelog ===
kio-extras (4:19.12.3a-0ubuntu2) focal; urgency=medium

  * Merge changes from Debian unstable. Renaining changes:
    - Bumped orig tarball version due to upstream respin. 

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Mar 2020 11:11:26 +0000

kio-extras (4:19.12.3a-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)
  * Bump orig tarball version due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:10:24 +0000

kio-extras (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with newer libssh (Closes: #951966)
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - add libkf5activitiesstats-dev
    - drop libkf5khtml-dev, no more used
    - bump libssh-dev to 0.7.0
    - add kio, as it provides the kfileitemactionplugin.desktop file, used
      at build time
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - manually force the generation of the substvars for the kde-l10n breaks
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Tweak the install wildcard for libmolletnetwork5, so it does not depend on
    the year in the version number.
  * Explicitly remove the development files we do not ship, instead of listing
    them in not-installed, so it is harder to ship them by chance
    - drop not-installed, no more needed now
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Mar 2020 09:22:41 +0100

kio-extras (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:48 +0000

kio-extras (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:53 +0000

kio-extras (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New optional build depend on libkf5activitiesstats-dev for
    recentlyused:/ ioslave
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:31 +0000

kio-extras (4:19.08.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild against libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:34:40 +0000

kio-extras (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:33:15 +0000
