=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Tests require a registered logind session. :/
	# If you are reading this, your help is needed to make this work in
	# a reproduceable way either in the buildds or in the autopkgtests
	# servers
	# xvfb-run -a dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/cmake/

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i
