=== network/ioslave/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,8 @@
 # qt5_add_dbus_interface( kio_network_SRCS  ../kded/org.kde.network.xml networkdbusproxy )
 
 add_library(kio_network MODULE  ${kio_network_SRCS} )
-target_link_libraries( kio_network  molletnetwork5 KF5::KIOCore )
+target_link_libraries( kio_network  molletnetwork5 KF5::KIOCore KF5::I18n )
+
 set_target_properties(kio_network PROPERTIES OUTPUT_NAME "network")
 
 install( TARGETS kio_network  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
