=== debian/changelog ===
kio-extras (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 15:17:09 +0100

kio-extras (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump almost all the KF packages to 5.69.0
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Dec 2020 11:50:25 +0100

kio-extras (4:20.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.1):
    - fixes CVE-2020-12755 (Closes: #960306)
  * Update build-deps and deps with the info from cmake.

  [ Pino Toscano ]
  * New upstream release:
    - fixes build (Closes: #973216)
  * Update the build dependencies according to the upstream build system:
    - add libtirpc-dev for the NFS kioslave
    - add libkdsoap-dev for the SMB kioslave
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Wed, 11 Nov 2020 16:06:19 +0100
