=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with kf5
@@ -20,8 +19,7 @@
 	# servers
 	# xvfb-run -a dh_auto_test
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# drop development stuff
 	rm -rf debian/tmp/usr/include/
 	rm -rf debian/tmp/usr/lib/*/cmake/
