=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
