## kio-extras 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,33 @@
-cmake_minimum_required(VERSION 3.0)
-
-if(WIN32)
-    set(CMAKE_CXX_STANDARD 17)
-endif()
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.82.0")
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
+include(ECMMarkNonGuiExecutable)
+include(ECMMarkAsTest)
+include(ECMOptionalAddSubdirectory)
+include(ECMQtDeclareLoggingCategory)
+include(CheckIncludeFile)
+include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 
-set(QT_MIN_VERSION "5.11.0")
-# TODO: when bumping to 5.72+ drop FindTaglib.cmake
-set(KF5_MIN_VERSION "5.69.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)
 
 find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
@@ -28,9 +40,6 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
-
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
@@ -39,7 +48,6 @@
     DBusAddons
     DocTools
     DNSSD
-    IconThemes
     I18n
     KIO
     Solid
@@ -48,17 +56,9 @@
     SyntaxHighlighting
 )
 
-include(CheckIncludeFile)
-include(CMakePackageConfigHelpers)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMMarkNonGuiExecutable)
-include(ECMMarkAsTest)
-include(ECMOptionalAddSubdirectory)
-include(ECMQtDeclareLoggingCategory)
-
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_TO_ASCII)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 find_package(KF5Activities QUIET)
 set_package_properties(KF5Activities PROPERTIES
@@ -105,9 +105,8 @@
                        PURPOSE "Needed to build the SFTP kioslave"
                       )
 
-find_package(Mtp)
-set_package_properties(Mtp PROPERTIES DESCRIPTION "the MTP library"
-                       URL "http://libmtp.sourceforge.net/"
+find_package(Libmtp 1.1.2)
+set_package_properties(Libmtp PROPERTIES
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the MTP kioslave"
                        )
@@ -150,6 +149,21 @@
     # FIXME: on windows we ignore support until trash gets integrated
 endif()
 
+add_definitions(
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_NO_KEYWORDS
+    -DQT_NO_FOREACH
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
+
 add_subdirectory( doc )
 
 add_subdirectory( about )
@@ -166,9 +180,6 @@
 endif()
 add_subdirectory( info )
 add_subdirectory( archive )
-if(NOT WIN32)
-    add_subdirectory( network )
-endif()
 add_subdirectory( recentdocuments )
 if (NOT WIN32)
     # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
@@ -182,7 +193,7 @@
 endif ()
 add_subdirectory(settings)
 add_subdirectory( filenamesearch )
-if (MTP_FOUND)
+if (Libmtp_FOUND)
   add_subdirectory(mtp)
 endif()
 
@@ -195,19 +206,17 @@
    endif()
 endif()
 
-# KDNSSD before 5.54 suffers from a race condition in avahi's dbus API and
-# ideally should not be used in ways that can deadlock a slave.
-if(${KF5DNSSD_FOUND} AND ${KF5DNSSD_VERSION} VERSION_GREATER "5.53")
-    set(HAVE_KDNSSD_WITH_SIGNAL_RACE_PROTECTION TRUE)
-endif()
-
 if(SAMBA_FOUND)
     add_subdirectory(smb)
 endif()
 
 configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )
 
-install(FILES kio-extras.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+    EXPORT KIO_EXTRAS
+    FILE kio-extras.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)
 
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
