=== debian/changelog ===
kio-extras (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:14 +0100

kio-extras (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:58 +0100

kio-extras (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:22 +0100

kio-extras (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:24 +0100

kio-extras (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:44:04 +0100

kio-extras (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:44 +0100

kio-extras (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:10 +0100

kio-extras (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add libappimage-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:31 +0100
