=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                gettext,
                gperf,
                kio,
+               libappimage-dev,
                libkdsoap-dev (>= 1.9.0~),
                libkf5activities-dev (>= 5.3.0~),
                libkf5activitiesstats-dev (>= 5.62~),
